PDA

View Full Version : new il2 1946 ???



jamesdeanoo7
02-24-2007, 09:16 AM
Ok now I am totally confused. I have had il2 1946 cd for weeks now and yet a friend told me he had an email announcing the release of il2 1946 in march. If he buys it pre-release before feb 28th its cheaper ???? How can this be a release date if I already have it ???

jamesdeanoo7
02-24-2007, 09:16 AM
Ok now I am totally confused. I have had il2 1946 cd for weeks now and yet a friend told me he had an email announcing the release of il2 1946 in march. If he buys it pre-release before feb 28th its cheaper ???? How can this be a release date if I already have it ???

flox
02-24-2007, 09:19 AM
1946 is definitely out, so it's not like there's something you don't already have. His email might refer to his region of the world I suppose (the game still hasn't hit US store shelves for example).

Zeus-cat
02-24-2007, 11:25 AM
I think he is referring to the release of the game into mainstream stores. Right now you can only order it online at a few places in the USA.

dbillo
02-24-2007, 12:40 PM
Actually, I got an email about this, too. It appears there is a special release of IL-2 Sturmovik 1946, which includes the original IL-2 Sturmovik game.

JG53Frankyboy
02-24-2007, 01:04 PM
<BLOCKQUOTE class="ip-ubbcode-quote"><div class="ip-ubbcode-quote-title">quote:</div><div class="ip-ubbcode-quote-content">Originally posted by jamesdeanoo7:
Ok now I am totally confused. I have had il2 1946 cd for weeks now and yet a friend told me he had an email announcing the release of il2 1946 in march. If he buys it pre-release before feb 28th its cheaper ???? How can this be a release date if I already have it ??? </div></BLOCKQUOTE>

that has soemthing to do with that on some few custom skins in the first "1946" release are Swastikas (at least one of the Ar234's) - thats in some european countries forbidden (nothing to discuss, it is like it is !).
therefore there will be a "1946" edition 2007 , with now no swastikas anymore on these skins.
nothing else is different , both version are 4.07 and online compatible between each other.

also patch 4.08 "fixed" this btw..........